oRTP: /usr/obj/ports_mfs/ortp-0.24.2/ortp-0.24.2/include/ortp/rtpprofile.h File Reference

oRTP 0.24.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
rtpprofile.h File Reference

Using and creating standart and custom RTP profiles. More...

`#include <ortp/port.h>`

Go to the source code of this file.

## Data Structures
struct | _RtpProfile

## Macros
#define | RTP_PROFILE_MAX_PAYLOADS 128
#define | rtp_profile_get_name(profile) (const char*)((profile)->name)
#define | rtp_profile_clear_payload(profile, index) rtp_profile_set_payload(profile,index,NULL)

## Typedefs
typedef struct _RtpProfile | RtpProfile

## Functions
ORTP_PUBLIC void | rtp_profile_set_payload (RtpProfile *prof, int idx, PayloadType *pt)
ORTP_PUBLIC void | rtp_profile_clear_all (RtpProfile *prof)
ORTP_PUBLIC void | rtp_profile_set_name (RtpProfile *prof, const char *name)
ORTP_PUBLIC PayloadType * | rtp_profile_get_payload_from_mime (RtpProfile *profile, const char *mime)
ORTP_PUBLIC PayloadType * | rtp_profile_get_payload_from_rtpmap (RtpProfile *profile, const char *rtpmap)
ORTP_PUBLIC int | rtp_profile_get_payload_number_from_mime (RtpProfile *profile, const char *mime)
ORTP_PUBLIC int | rtp_profile_get_payload_number_from_rtpmap (RtpProfile *profile, const char *rtpmap)
ORTP_PUBLIC int | rtp_profile_find_payload_number (RtpProfile *prof, const char *mime, int rate, int channels)
ORTP_PUBLIC PayloadType * | rtp_profile_find_payload (RtpProfile *prof, const char *mime, int rate, int channels)
ORTP_PUBLIC int | rtp_profile_move_payload (RtpProfile *prof, int oldpos, int newpos)
ORTP_PUBLIC RtpProfile * | rtp_profile_new (const char *name)
ORTP_PUBLIC RtpProfile * | rtp_profile_clone (RtpProfile *prof)
ORTP_PUBLIC RtpProfile * | rtp_profile_clone_full (RtpProfile *prof)
ORTP_PUBLIC void | rtp_profile_destroy (RtpProfile *prof)

## Variables
ORTP_VAR_PUBLIC RtpProfile | av_profile

## Detailed Description

Using and creating standart and custom RTP profiles.

## Macro Definition Documentation

#define rtp_profile_clear_payload | ( |  | profile,
|  |  | index
| ) |  | rtp_profile_set_payload(profile,index,NULL)

Set payload type number unassigned in the profile.

Parameters

  profile | an RTP profile
  index | the payload type number

## Function Documentation

ORTP_PUBLIC void rtp_profile_clear_all | ( | RtpProfile * | obj | ) |

Initialize the profile to the empty profile (all payload type are unassigned).

Parameters

  profile | a RTP profile

ORTP_PUBLIC void rtp_profile_set_name | ( | RtpProfile * | obj,
|  | const char * | name
| ) |  |

Set a name to the rtp profile. (This is not required)

Parameters

  profile | a rtp profile object
  nm | a string

References payload_type_destroy(), and rtp_profile_set_payload().

ORTP_PUBLIC void rtp_profile_set_payload | ( | RtpProfile * | prof,
|  | int | idx,
|  | PayloadType * | pt
| ) |  |

Assign payload type number index to payload type desribed in pt for the RTP profile profile.

Parameters

  profile | a RTP profile
  idx | the payload type number
  pt | the payload type description

Referenced by rtp_profile_set_name().